unit UnitLoadHelper;


// simple class used to tell events that the program is not
// fully loaded

interface

uses Classes;

type TLoadHelper = class(TObject)
    private
    class var loaded : Boolean;
    public
    class function isLoaded : Boolean;
    class procedure reportLoaded;
end;

implementation

class function TLoadHelper.isLoaded;
begin
    Result := loaded;
end;

class procedure TLoadHelper.reportLoaded;
begin
    loaded := True;
end;

end.
