unit UnitMyClipboard;

interface

type TMyClipboard = class(TObject)
    private
    class var fOpenCount : Integer;
    class var fLastProc : string;
    public
      class function OpenClipboard( Handle : THandle; lastProc : string) : boolean;
      class procedure CloseClipboard;
end;

implementation


uses UnitFrmDebug, Winapi.Windows, SysUtils;

class function TMyClipboard.OpenClipboard(Handle : THandle; lastProc : string) : boolean;
var err : boolean;
begin
    err := fOpenCOunt <> 0;
    result := false;

    if not err then begin
        result := Winapi.Windows.OpenClipboard(Handle);
        if result then begin
            inc(fOpenCount);
        end;
    end else begin
        raise  Exception.Create('Clipboard already open');
    end;

    if not Result then begin
        FrmDebug.AppendLog('OpenClipboard: Failed for '+fLastProc, true);
    end else begin
        fLastProc := lastproc;
    end;
end;
class procedure TMyClipboard.CloseClipboard;
begin
    Dec(fopencount);
    Winapi.Windows.CloseClipboard();
end;


end.
